<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for  - Aanmaken of bijwerken </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:ihe:pcc:hl7v3" prefix="ihe"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario BasicHealthDataSet-createUpdate-2017 -->

   <!-- CDABasisgegevenssetZorg2017 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.1-2017-10-24T180540.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.1-2017-10-24T180540-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.1-2017-10-24T180540"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.801-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.802-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.803-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.804-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.805-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.806-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.807-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.808-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.809-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.14-2017-07-27T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.18-2017-08-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.21-2017-08-03T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.22-2017-08-03T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.29-2017-08-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.23-2015-06-22T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.42-2015-06-22T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.5-2015-06-22T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.85-2015-06-22T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.9-2015-06-22T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.30-2017-08-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.31-2017-08-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.10-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.11-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.12-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.13-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.14-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.15-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.16-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.17-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.4-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.5-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.6-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.8-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.9-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.2-2017-10-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3-2017-10-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.4-2017-10-16T000000"/>
   </phase>
   <phase id="CDABasisgegevenssetZorg2017">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.1-2017-10-24T180540"/>
   </phase>
   <phase id="CDABasisgegevenssetZorg2017-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.1-2017-10-24T180540-closed"/>
   </phase>
   <phase id="SpecimenCollection">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000"/>
   </phase>
   <phase id="SpecimenReceived">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryBatteryOrganizer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryObservation">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000"/>
   </phase>
   <phase id="NonHumanSubject">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000"/>
   </phase>
   <phase id="Humanpatientwithnonhumansubject">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000"/>
   </phase>
   <phase id="LaboratoryPerformer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000"/>
   </phase>
   <phase id="IHECommentEntry">
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
   </phase>
   <phase id="CDAActSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.801-2005-09-07T000000"/>
   </phase>
   <phase id="CDAEncounterSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.802-2005-09-07T000000"/>
   </phase>
   <phase id="CDAObservationSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.803-2005-09-07T000000"/>
   </phase>
   <phase id="CDAObservationMediaSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.804-2005-09-07T000000"/>
   </phase>
   <phase id="CDAOrganizerSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.805-2005-09-07T000000"/>
   </phase>
   <phase id="CDAProcedureSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.806-2005-09-07T000000"/>
   </phase>
   <phase id="CDARegionOfInterestSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.807-2005-09-07T000000"/>
   </phase>
   <phase id="CDASubstanceAdministrationSDTC">
      <active pattern="template-2.16.840.1.113883.10.12.808-2005-09-07T000000"/>
   </phase>
   <phase id="CDASupplySDTC">
      <active pattern="template-2.16.840.1.113883.10.12.809-2005-09-07T000000"/>
   </phase>
   <phase id="playingEntity">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000"/>
   </phase>
   <phase id="scopingEntity">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000"/>
   </phase>
   <phase id="tabakGebruik">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.14-2017-07-27T000000"/>
   </phase>
   <phase id="hoeveelheidTabak">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000"/>
   </phase>
   <phase id="tabakgebruikstatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000"/>
   </phase>
   <phase id="packyears">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000"/>
   </phase>
   <phase id="alcoholGebruik">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.18-2017-08-02T000000"/>
   </phase>
   <phase id="alcoholgebruikstatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000"/>
   </phase>
   <phase id="hoeveelheidalcohol">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000"/>
   </phase>
   <phase id="drugsgebruikstatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.21-2017-08-03T000000"/>
   </phase>
   <phase id="drugsGebruik">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.22-2017-08-03T000000"/>
   </phase>
   <phase id="kleding">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.29-2017-08-16T000000"/>
   </phase>
   <phase id="procedure_activity">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.23-2015-06-22T000000"/>
   </phase>
   <phase id="verrichting">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.42-2015-06-22T000000"/>
   </phase>
   <phase id="allergie_en_intolerantie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.5-2015-06-22T000000"/>
   </phase>
   <phase id="medisch_hulpmiddel_organizer">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.85-2015-06-22T000000"/>
   </phase>
   <phase id="alert_observation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.9-2015-06-22T000000"/>
   </phase>
   <phase id="lichaamslengte">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.30-2017-08-16T000000"/>
   </phase>
   <phase id="positie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.31-2017-08-16T000000"/>
   </phase>
   <phase id="BgZ2017Medication">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.10-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017MedicalDevices">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.11-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Immunizations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.12-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017VitalSigns">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.13-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Results">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.14-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Procedures">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.15-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Encounters">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.16-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017CarePlan">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.17-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017TreatmentDirectives">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.4-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017FunctionalStatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.5-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017ComplaintsAndDiagnoses">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.6-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017SocialAnamesis">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Alerts">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.8-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Allergies">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.9-2017-10-24T000000"/>
   </phase>
   <phase id="LaboratoryBatteryOrganizerSpecimen">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.2-2017-10-16T000000"/>
   </phase>
   <phase id="SpecimenCollectionHCIM">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3-2017-10-16T000000"/>
   </phase>
   <phase id="LaboratoryIsolateOrganizerSpecimen">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.4-2017-10-16T000000"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- SpecimenCollection -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.sch"/>
   <!-- SpecimenReceived -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000.sch"/>
   <!-- LaboratoryBatteryOrganizer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000.sch"/>
   <!-- LaboratoryObservation -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.sch"/>
   <!-- NonHumanSubject -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000.sch"/>
   <!-- Humanpatientwithnonhumansubject -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.sch"/>
   <!-- LaboratoryPerformer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.sch"/>
   <!-- IHECommentEntry -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000.sch"/>
   <!-- CDAActSDTC -->
   <include href="include/2.16.840.1.113883.10.12.801-2005-09-07T000000.sch"/>
   <!-- CDAEncounterSDTC -->
   <include href="include/2.16.840.1.113883.10.12.802-2005-09-07T000000.sch"/>
   <!-- CDAObservationSDTC -->
   <include href="include/2.16.840.1.113883.10.12.803-2005-09-07T000000.sch"/>
   <!-- CDAObservationMediaSDTC -->
   <include href="include/2.16.840.1.113883.10.12.804-2005-09-07T000000.sch"/>
   <!-- CDAOrganizerSDTC -->
   <include href="include/2.16.840.1.113883.10.12.805-2005-09-07T000000.sch"/>
   <!-- CDAProcedureSDTC -->
   <include href="include/2.16.840.1.113883.10.12.806-2005-09-07T000000.sch"/>
   <!-- CDARegionOfInterestSDTC -->
   <include href="include/2.16.840.1.113883.10.12.807-2005-09-07T000000.sch"/>
   <!-- CDASubstanceAdministrationSDTC -->
   <include href="include/2.16.840.1.113883.10.12.808-2005-09-07T000000.sch"/>
   <!-- CDASupplySDTC -->
   <include href="include/2.16.840.1.113883.10.12.809-2005-09-07T000000.sch"/>
   <!-- playingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.sch"/>
   <!-- scopingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.sch"/>
   <!-- tabakGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.14-2017-07-27T000000.sch"/>
   <!-- hoeveelheidTabak -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.15-2017-07-27T000000.sch"/>
   <!-- tabakgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.sch"/>
   <!-- packyears -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.sch"/>
   <!-- alcoholGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.18-2017-08-02T000000.sch"/>
   <!-- alcoholgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.sch"/>
   <!-- hoeveelheidalcohol -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.sch"/>
   <!-- drugsgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.21-2017-08-03T000000.sch"/>
   <!-- drugsGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.22-2017-08-03T000000.sch"/>
   <!-- kleding -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.29-2017-08-16T000000.sch"/>
   <!-- procedure_activity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.23-2015-06-22T000000.sch"/>
   <!-- verrichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.42-2015-06-22T000000.sch"/>
   <!-- allergie_en_intolerantie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.5-2015-06-22T000000.sch"/>
   <!-- medisch_hulpmiddel_organizer -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.85-2015-06-22T000000.sch"/>
   <!-- alert_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.9-2015-06-22T000000.sch"/>
   <!-- lichaamslengte -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.30-2017-08-16T000000.sch"/>
   <!-- positie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.31-2017-08-16T000000.sch"/>
   <!-- BgZ2017Medication -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.10-2017-10-24T000000.sch"/>
   <!-- BgZ2017MedicalDevices -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.11-2017-10-24T000000.sch"/>
   <!-- BgZ2017Immunizations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.12-2017-10-24T000000.sch"/>
   <!-- BgZ2017VitalSigns -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.13-2017-10-24T000000.sch"/>
   <!-- BgZ2017Results -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.14-2017-10-24T000000.sch"/>
   <!-- BgZ2017Procedures -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.15-2017-10-24T000000.sch"/>
   <!-- BgZ2017Encounters -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.16-2017-10-24T000000.sch"/>
   <!-- BgZ2017CarePlan -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.17-2017-10-24T000000.sch"/>
   <!-- BgZ2017TreatmentDirectives -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.4-2017-10-24T000000.sch"/>
   <!-- BgZ2017FunctionalStatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.5-2017-10-24T000000.sch"/>
   <!-- BgZ2017ComplaintsAndDiagnoses -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.6-2017-10-24T000000.sch"/>
   <!-- BgZ2017SocialAnamesis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.sch"/>
   <!-- BgZ2017Alerts -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.8-2017-10-24T000000.sch"/>
   <!-- BgZ2017Allergies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.9-2017-10-24T000000.sch"/>
   <!-- LaboratoryBatteryOrganizerSpecimen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.2-2017-10-16T000000.sch"/>
   <!-- SpecimenCollectionHCIM -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3-2017-10-16T000000.sch"/>
   <!-- LaboratoryIsolateOrganizerSpecimen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.4-2017-10-16T000000.sch"/>

</schema>
