<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.16
Name: tabak gebruik status
Description: Template voor de weergave van tabak gebruik status
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000">
   <title>tabak gebruik status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.16
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]
Item: (tabakgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]"
         id="d18e7374-false-d114388e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']])&gt;=1">(tabakgebruikstatus): element hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']])&lt;=1">(tabakgebruikstatus): element hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.16
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]
Item: (tabakgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]"
         id="d18e7401-false-d114406e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(tabakgebruikstatus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="string(@moodCode)=('EVN')">(tabakgebruikstatus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16'])&gt;=1">(tabakgebruikstatus): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16'])&lt;=1">(tabakgebruikstatus): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:code[(@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(tabakgebruikstatus): element hl7:code[(@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:code[(@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(tabakgebruikstatus): element hl7:code[(@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(tabakgebruikstatus): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.16
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']
Item: (tabakgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']"
         id="d18e7407-false-d114454e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(tabakgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.16')">(tabakgebruikstatus): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.16' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.16
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:code[(@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (tabakgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:code[(@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d18e7412-false-d114470e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(tabakgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="@nullFlavor or (@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Tobacco smoking status' and @codeSystemName='LOINC')">(tabakgebruikstatus): de elementwaarde MOET een zijn van 'code '72166-2' codeSystem '2.16.840.1.113883.6.1' displayName='Tobacco smoking status' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.16
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (tabakgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d18e7417-false-d114490e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(tabakgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(tabakgebruikstatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2 TabakGebruikStatusCodelijst (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(tabakgebruikstatus): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2 TabakGebruikStatusCodelijst (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(tabakgebruikstatus): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.16
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]/hl7:originalText
Item: (tabakgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.16']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.2.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]/hl7:originalText"
         id="d18e7424-false-d114522e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.16-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(tabakgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
