<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.19
Name: alcohol gebruik status
Description: Template voor de weergave van alcohol gebruik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000">
   <title>alcohol gebruik status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.19
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]
Item: (alcoholgebruikstatus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.19
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]
Item: (alcoholgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]"
         id="d18e7751-false-d118448e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(alcoholgebruikstatus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="string(@moodCode)=('EVN')">(alcoholgebruikstatus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19'])&gt;=1">(alcoholgebruikstatus): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19'])&lt;=1">(alcoholgebruikstatus): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="count(hl7:code[(@code='273266008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(alcoholgebruikstatus): element hl7:code[(@code='273266008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="count(hl7:code[(@code='273266008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(alcoholgebruikstatus): element hl7:code[(@code='273266008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(alcoholgebruikstatus): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.19
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']
Item: (alcoholgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']"
         id="d18e7757-false-d118496e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alcoholgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.19')">(alcoholgebruikstatus): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.19' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.19
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:code[(@code='273266008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (alcoholgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:code[(@code='273266008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d18e7762-false-d118512e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alcoholgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="@nullFlavor or (@code='273266008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Alcohol use inventory (assessment scale)' and @codeSystemName='SNOMED CT')">(alcoholgebruikstatus): de elementwaarde MOET een zijn van 'code '273266008' codeSystem '2.16.840.1.113883.6.96' displayName='Alcohol use inventory (assessment scale)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.19
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (alcoholgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d18e7767-false-d118532e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alcoholgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(alcoholgebruikstatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2 AlcoholGebruikStatusCodelijst (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(alcoholgebruikstatus): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2 AlcoholGebruikStatusCodelijst (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="count(hl7:originalText)&lt;=1">(alcoholgebruikstatus): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.19
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]/hl7:originalText
Item: (alcoholgebruikstatus)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.19']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.3.2-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]/hl7:originalText"
         id="d18e7783-false-d118564e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.19-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alcoholgebruikstatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
