<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.20
Name: hoeveelheid alcohol
Description: Template voor de weergave van de hoeveelheid alcohol bij alcoholgebruik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000">
   <title>hoeveelheid alcohol</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.20
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]
Item: (hoeveelheidalcohol)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]"
         id="d18e7788-false-d118581e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="count(hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']])&lt;=1">(hoeveelheidalcohol): element hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.20
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]
Item: (hoeveelheidalcohol)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]"
         id="d18e7812-false-d118596e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(hoeveelheidalcohol): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="string(@moodCode)=('EVN')">(hoeveelheidalcohol): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20'])&gt;=1">(hoeveelheidalcohol): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20'])&lt;=1">(hoeveelheidalcohol): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="count(hl7:code[(@code='160573003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(hoeveelheidalcohol): element hl7:code[(@code='160573003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="count(hl7:code[(@code='160573003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(hoeveelheidalcohol): element hl7:code[(@code='160573003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="count(hl7:value)&lt;=1">(hoeveelheidalcohol): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.20
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']
Item: (hoeveelheidalcohol)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']"
         id="d18e7818-false-d118641e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hoeveelheidalcohol): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.20')">(hoeveelheidalcohol): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.20' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.20
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]/hl7:code[(@code='160573003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (hoeveelheidalcohol)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]/hl7:code[(@code='160573003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d18e7823-false-d118657e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hoeveelheidalcohol): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="@nullFlavor or (@code='160573003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Alcohol intake (observable entity)' and @codeSystemName='SNOMED CT')">(hoeveelheidalcohol): de elementwaarde MOET een zijn van 'code '160573003' codeSystem '2.16.840.1.113883.6.96' displayName='Alcohol intake (observable entity)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.20
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]/hl7:value
Item: (hoeveelheidalcohol)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.20']]/hl7:value"
         id="d18e7828-false-d118674e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hoeveelheidalcohol): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(hoeveelheidalcohol): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.20-2017-08-03T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(hoeveelheidalcohol): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
