<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.12.803
Name: CDA Observation SDTC
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF) + SDTC extensions
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.12.803-2005-09-07T000000">
   <title>CDA Observation SDTC</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]"
         id="d18e3377-false-d29881e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAObservationSDTC): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@moodCode">(CDAObservationSDTC): attribute @moodCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.18943-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(CDAObservationSDTC): de waarde van moodCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.18943' x_ActMoodDocumentObservation (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAObservationSDTC): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.803'])&gt;=1">(CDAObservationSDTC): element hl7:templateId[@root='2.16.840.1.113883.10.12.803'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.803'])&lt;=1">(CDAObservationSDTC): element hl7:templateId[@root='2.16.840.1.113883.10.12.803'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(CDAObservationSDTC): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAObservationSDTC): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:derivationExpr)&lt;=1">(CDAObservationSDTC): element hl7:derivationExpr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAObservationSDTC): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor])&lt;=1">(CDAObservationSDTC): element hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAObservationSDTC): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAObservationSDTC): element hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:repeatNumber)&lt;=1">(CDAObservationSDTC): element hl7:repeatNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:languageCode)&lt;=1">(CDAObservationSDTC): element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:subject)&lt;=1">(CDAObservationSDTC): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:templateId[@root='2.16.840.1.113883.10.12.803']
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:templateId[@root='2.16.840.1.113883.10.12.803']"
         id="d18e3390-false-d30563e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.12.803')">(CDAObservationSDTC): de waarde van @root MOET '2.16.840.1.113883.10.12.803' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:id
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:id"
         id="d18e3395-false-d30578e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d18e3398-false-d30592e0">
      <extends rule="CD.SDTC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16226 ObservationType (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:derivationExpr
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:derivationExpr"
         id="d18e3405-false-d30614e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:text
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:text"
         id="d18e3407-false-d30625e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d18e3409-false-d30639e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAObservationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:effectiveTime
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:effectiveTime"
         id="d18e3416-false-d30661e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:priorityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d18e3418-false-d30675e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16866 ActPriority (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:repeatNumber
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:repeatNumber"
         id="d18e3426-false-d30697e0">
      <extends rule="IVL_INT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:languageCode
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:languageCode"
         id="d18e3428-false-d30712e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:value
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:value"
         id="d18e3435-false-d30727e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d18e3437-false-d30738e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d18e3444-false-d30763e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.14079 ObservationMethod (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:targetSiteCode[@codeSystem='2.16.840.1.113883.5.1052' or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:targetSiteCode[@codeSystem='2.16.840.1.113883.5.1052' or @nullFlavor]"
         id="d18e3451-false-d30786e0">
      <extends rule="CD.SDTC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(CDAObservationSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.1052''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject
Item: (CDASubjectBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(CDASubjectBodySDTC): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDASubjectBodySDTC): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDASubjectBodySDTC): element hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(hl7:relatedSubject)&gt;=1">(CDASubjectBodySDTC): element hl7:relatedSubject is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(hl7:relatedSubject)&lt;=1">(CDASubjectBodySDTC): element hl7:relatedSubject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDASubjectBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASubjectBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject
Item: (CDASubjectBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="@classCode">(CDASubjectBodySDTC): attribute @classCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19368-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDASubjectBodySDTC): de waarde van classCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.19368' x_DocumentSubject (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDASubjectBodySDTC): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(hl7:subject)&lt;=1">(CDASubjectBodySDTC): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/sdtc:id
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDASubjectBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASubjectBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:addr
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:telecom
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject
Item: (CDASubjectBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDASubjectBodySDTC): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDASubjectBodySDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(sdtc:desc)&lt;=1">(CDASubjectBodySDTC): element sdtc:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDASubjectBodySDTC): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDASubjectBodySDTC): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(sdtc:deceasedInd)&lt;=1">(CDASubjectBodySDTC): element sdtc:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(sdtc:deceasedTime)&lt;=1">(CDASubjectBodySDTC): element sdtc:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(sdtc:multipleBirthInd)&lt;=1">(CDASubjectBodySDTC): element sdtc:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="count(sdtc:multipleBirthOrderNumber)&lt;=1">(CDASubjectBodySDTC): element sdtc:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:id
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:name
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:desc
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDASubjectBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASubjectBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/hl7:birthTime
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:deceasedInd
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:deceasedTime
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:multipleBirthInd
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:multipleBirthOrderNumber
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:raceCode
Item: (CDASubjectBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.820
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:ethnicGroupCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.15836-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDASubjectBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:subject/hl7:relatedSubject/hl7:subject/sdtc:ethnicGroupCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.15836-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.820-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15836-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASubjectBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.15836 Ethnicity (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen
Item: (CDASpecimenSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="string(@typeCode)=('SPC') or not(@typeCode)">(CDASpecimenSDTC): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="count(hl7:specimenRole)&gt;=1">(CDASpecimenSDTC): element hl7:specimenRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="count(hl7:specimenRole)&lt;=1">(CDASpecimenSDTC): element hl7:specimenRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole
Item: (CDASpecimenSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="string(@classCode)=('SPEC') or not(@classCode)">(CDASpecimenSDTC): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="count(hl7:specimenPlayingEntity)&lt;=1">(CDASpecimenSDTC): element hl7:specimenPlayingEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:id
Item: (CDASpecimenSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity
Item: (CDASpecimenSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDASpecimenSDTC): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDASpecimenSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDASpecimenSDTC): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDASpecimenSDTC): element hl7:desc komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDASpecimenSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.822-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDASpecimenSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:quantity
Item: (CDASpecimenSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:name
Item: (CDASpecimenSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.822
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:desc
Item: (CDASpecimenSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.823
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer
Item: (CDAPerformerBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="string(@typeCode)=('PRF') or not(@typeCode)">(CDAPerformerBodySDTC): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAPerformerBodySDTC): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAPerformerBodySDTC): element hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1">(CDAPerformerBodySDTC): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAPerformerBodySDTC): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.823
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:time
Item: (CDAPerformerBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.823
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAPerformerBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAPerformerBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16543 ParticipationMode (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.823
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity
Item: (CDAPerformerBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAPerformerBodySDTC): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAPerformerBodySDTC): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(CDAPerformerBodySDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAPerformerBodySDTC): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAPerformerBodySDTC): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.823-2005-09-07T000000.html"
              test="count(sdtc:patient)&lt;=1">(CDAPerformerBodySDTC): element sdtc:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntitySDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (CDAAssignedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntitySDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntitySDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntitySDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntitySDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.902
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/sdtc:patient
Item: (SDTCpatient)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/sdtc:patient">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.902-2005-09-07T000000.html"
              test="count(sdtc:id)&gt;=1">(SDTCpatient): element sdtc:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.902-2005-09-07T000000.html"
              test="count(sdtc:id)&lt;=1">(SDTCpatient): element sdtc:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.902
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/sdtc:patient/sdtc:id
Item: (SDTCpatient)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:performer/hl7:assignedEntity/sdtc:patient/sdtc:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.902-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SDTCpatient): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author
Item: (CDAAuthorBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAAuthorBodySDTC): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAAuthorBodySDTC): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAAuthorBodySDTC): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:time)&gt;=1">(CDAAuthorBodySDTC): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAAuthorBodySDTC): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(CDAAuthorBodySDTC): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAAuthorBodySDTC): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAAuthorBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAAuthorBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:time
Item: (CDAAuthorBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor
Item: (CDAAuthorBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAuthorBodySDTC): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAAuthorBodySDTC): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(CDAAuthorBodySDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAAuthorBodySDTC): keuze (hl7:assignedPerson of hl7:assignedAuthoringDevice) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAuthorBodySDTC): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAAuthorBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (CDAAuthorBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.818-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAuthorBodySDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAAuthorBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAAuthorBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAAuthorBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPersonSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPersonSDTC): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPersonSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:desc)&lt;=1">(CDAPersonSDTC): element sdtc:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:asPatientRelationship[@classCode='PRS'])&lt;=1">(CDAPersonSDTC): element sdtc:asPatientRelationship[@classCode='PRS'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/sdtc:desc
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']
Item: (CDAPersonSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@classCode)=('PRS')">(CDAPersonSDTC): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPersonSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:code)&gt;=1">(CDAPersonSDTC): element sdtc:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:code)&lt;=1">(CDAPersonSDTC): element sdtc:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']/sdtc:templateId
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']/sdtc:code
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDAAuthorBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDADeviceSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(CDADeviceSDTC): de waarde van @classCode MOET 'DEV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDADeviceSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDADeviceSDTC): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(CDADeviceSDTC): element hl7:manufacturerModelName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="count(hl7:softwareName)&lt;=1">(CDADeviceSDTC): element hl7:softwareName komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDADeviceSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDADeviceSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (CDADeviceSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (CDADeviceSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.818
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAAuthorBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganizationSDTC): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganizationSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganizationSDTC): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganizationSDTC): element hl7:asOrganizationPartOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganizationSDTC): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(CDAOrganizationSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor])&lt;=1">(CDAOrganizationSDTC): element hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganizationSDTC): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganizationSDTC): element hl7:wholeOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganizationSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganizationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganizationSDTC): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganizationSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganizationSDTC): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.819
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant
Item: (CDAinformantBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.819-2005-09-07T000000.html"
              test="string(@typeCode)=('INF') or not(@typeCode)">(CDAinformantBodySDTC): de waarde van @typeCode MOET 'INF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.819-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAinformantBodySDTC): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <let name="elmcount" value="count(hl7:assignedEntity|hl7:relatedEntity)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.819-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAinformantBodySDTC): keuze (hl7:assignedEntity of hl7:relatedEntity) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.819-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAinformantBodySDTC): keuze (hl7:assignedEntity of hl7:relatedEntity) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.819
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity
Item: (CDAinformantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity
Item: (CDAAssignedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntitySDTC): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAAssignedEntitySDTC): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(CDAAssignedEntitySDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntitySDTC): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntitySDTC): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="count(sdtc:patient)&lt;=1">(CDAAssignedEntitySDTC): element sdtc:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (CDAAssignedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.653-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntitySDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPersonSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPersonSDTC): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPersonSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:desc)&lt;=1">(CDAPersonSDTC): element sdtc:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:asPatientRelationship[@classCode='PRS'])&lt;=1">(CDAPersonSDTC): element sdtc:asPatientRelationship[@classCode='PRS'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/sdtc:desc
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']
Item: (CDAPersonSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@classCode)=('PRS')">(CDAPersonSDTC): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPersonSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:code)&gt;=1">(CDAPersonSDTC): element sdtc:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:code)&lt;=1">(CDAPersonSDTC): element sdtc:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']/sdtc:templateId
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/sdtc:asPatientRelationship[@classCode='PRS']/sdtc:code
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.653
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganizationSDTC): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganizationSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganizationSDTC): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganizationSDTC): element hl7:asOrganizationPartOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganizationSDTC): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(CDAOrganizationSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor])&lt;=1">(CDAOrganizationSDTC): element hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganizationSDTC): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganizationSDTC): element hl7:wholeOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganizationSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganizationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganizationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganizationSDTC): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganizationSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.651-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganizationSDTC): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.651
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganizationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.902
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/sdtc:patient
Item: (SDTCpatient)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/sdtc:patient">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.902-2005-09-07T000000.html"
              test="count(sdtc:id)&gt;=1">(SDTCpatient): element sdtc:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.902-2005-09-07T000000.html"
              test="count(sdtc:id)&lt;=1">(SDTCpatient): element sdtc:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.902
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/sdtc:patient/sdtc:id
Item: (SDTCpatient)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:assignedEntity/sdtc:patient/sdtc:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.902-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SDTCpatient): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.819
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity
Item: (CDAinformantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.816
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity
Item: (CDARelatedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.816-2005-09-07T000000.html"
              test="@classCode">(CDARelatedEntitySDTC): attribute @classCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19316-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.816-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDARelatedEntitySDTC): de waarde van classCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.19316' RoleClassMutualRelationship (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.816-2005-09-07T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDARelatedEntitySDTC): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.816-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDARelatedEntitySDTC): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.816-2005-09-07T000000.html"
              test="count(hl7:relatedPerson)&lt;=1">(CDARelatedEntitySDTC): element hl7:relatedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.816
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDARelatedEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.816-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDARelatedEntitySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.816
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:addr
Item: (CDARelatedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.816
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:telecom
Item: (CDARelatedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.816
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:effectiveTime
Item: (CDARelatedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.816
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDARelatedEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDAPersonSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPersonSDTC): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPersonSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:desc)&lt;=1">(CDAPersonSDTC): element sdtc:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:asPatientRelationship[@classCode='PRS'])&lt;=1">(CDAPersonSDTC): element sdtc:asPatientRelationship[@classCode='PRS'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/sdtc:desc
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/sdtc:asPatientRelationship[@classCode='PRS']
Item: (CDAPersonSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/sdtc:asPatientRelationship[@classCode='PRS']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@classCode)=('PRS')">(CDAPersonSDTC): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPersonSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:code)&gt;=1">(CDAPersonSDTC): element sdtc:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.652-2005-09-07T000000.html"
              test="count(sdtc:code)&lt;=1">(CDAPersonSDTC): element sdtc:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/sdtc:asPatientRelationship[@classCode='PRS']/sdtc:templateId
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.652
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/sdtc:asPatientRelationship[@classCode='PRS']/sdtc:code
Item: (CDAPersonSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant
Item: (CDAParticipantBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBodySDTC): attribute @typeCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAParticipantBodySDTC): de waarde van typeCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAParticipantBodySDTC): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAParticipantBodySDTC): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAParticipantBodySDTC): element hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:participantRole)&gt;=1">(CDAParticipantBodySDTC): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAParticipantBodySDTC): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:time
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAParticipantBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:awarenessCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole
Item: (CDAParticipantBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="string(@classCode)=('ROL') or not(@classCode)">(CDAParticipantBodySDTC): de waarde van @classCode MOET 'ROL' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(CDAParticipantBodySDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice|hl7:playingEntity)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAParticipantBodySDTC): keuze (hl7:playingDevice of hl7:playingEntity) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(CDAParticipantBodySDTC): element hl7:scopingEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:id
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (CDAParticipantBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAParticipantBodySDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:addr
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDADeviceSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingDevice">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(CDADeviceSDTC): de waarde van @classCode MOET 'DEV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDADeviceSDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDADeviceSDTC): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(CDADeviceSDTC): element hl7:manufacturerModelName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="count(hl7:softwareName)&lt;=1">(CDADeviceSDTC): element hl7:softwareName komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDADeviceSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.815-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDADeviceSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName
Item: (CDADeviceSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.815
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (CDADeviceSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.813
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.813-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAPlayingEntitySDTC): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.813-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPlayingEntitySDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.813-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAPlayingEntitySDTC): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.813-2005-09-07T000000.html"
              test="count(sdtc:birthTime)&lt;=1">(CDAPlayingEntitySDTC): element sdtc:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.813-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAPlayingEntitySDTC): element hl7:desc komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.813
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAPlayingEntitySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.813-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAPlayingEntitySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.813
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.813
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.813
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity/sdtc:birthTime
Item: (CDAPlayingEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.813
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntitySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAParticipantBodySDTC): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantBodySDTC): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAParticipantBodySDTC): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAParticipantBodySDTC): element hl7:desc komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAParticipantBodySDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.821-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBodySDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.821
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBodySDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']] | hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']] | hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']] | hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']] | hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']] | hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.806']] | hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.807']] | hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.808']] | hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.809']]]
Item: (CDAObservationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']] | hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']] | hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']] | hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']] | hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']] | hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.806']] | hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.807']] | hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.808']] | hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.809']]]">
      <extends rule="d18e3487-false-d34465e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@typeCode">(CDAObservationSDTC): attribute @typeCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAObservationSDTC): de waarde van typeCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAObservationSDTC): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(CDAObservationSDTC): attribuut @inversionInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAObservationSDTC): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(CDAObservationSDTC): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAObservationSDTC): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']] | hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']] | hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']] | hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']] | hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']] | hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.806']] | hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.807']] | hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.808']] | hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.809']]]/hl7:sequenceNumber
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']] | hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']] | hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']] | hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']] | hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']] | hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.806']] | hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.807']] | hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.808']] | hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.809']]]/hl7:seperatableInd
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.800
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']] | hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']] | hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']] | hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']] | hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']] | hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.10.12.806']] | hl7:regionOfInterest[hl7:templateId[@root='2.16.840.1.113883.10.12.807']] | hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.12.808']] | hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.12.809']]]
Item: (CDAClinicalStatementSDTC)
-->
   <rule id="d18e3487-false-d34465e0" abstract="true">
      <let name="elmcount"
           value="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']]|hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']]|hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]|hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']]|hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']]|hl7:procedure[@classCode='PROC'][hl7:templateId[@root='2.16.840.1.113883.10.12.806']]|hl7:regionOfInterest[@classCode='ROIOVL'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.10.12.807']]|hl7:substanceAdministration[@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.10.12.808']]|hl7:supply[@classCode='SPLY'][hl7:templateId[@root='2.16.840.1.113883.10.12.809']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.800-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAClinicalStatementSDTC): keuze (hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']] of hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']] of hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']] of hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']] of hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']] of hl7:procedure[@classCode='PROC'][hl7:templateId[@root='2.16.840.1.113883.10.12.806']] of hl7:regionOfInterest[@classCode='ROIOVL'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.10.12.807']] of hl7:substanceAdministration[@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.10.12.808']] of hl7:supply[@classCode='SPLY'][hl7:templateId[@root='2.16.840.1.113883.10.12.809']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.800-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAClinicalStatementSDTC): keuze (hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.12.801']] of hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.12.802']] of hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']] of hl7:observationMedia[hl7:templateId[@root='2.16.840.1.113883.10.12.804']] of hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.10.12.805']] of hl7:procedure[@classCode='PROC'][hl7:templateId[@root='2.16.840.1.113883.10.12.806']] of hl7:regionOfInterest[@classCode='ROIOVL'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.10.12.807']] of hl7:substanceAdministration[@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.10.12.808']] of hl7:supply[@classCode='SPLY'][hl7:templateId[@root='2.16.840.1.113883.10.12.809']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.824
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference
Item: (CDAReferenceSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.824-2005-09-07T000000.html"
              test="@typeCode">(CDAReferenceSDTC): attribute @typeCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.824-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAReferenceSDTC): de waarde van typeCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.19000' x_ActRelationshipExternalReference (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.824-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAReferenceSDTC): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:externalAct|hl7:externalObservation|hl7:externalProcedure|hl7:externalDocument)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.824-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAReferenceSDTC): keuze (hl7:externalAct of hl7:externalObservation of hl7:externalProcedure of hl7:externalDocument) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.824-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAReferenceSDTC): keuze (hl7:externalAct of hl7:externalObservation of hl7:externalProcedure of hl7:externalDocument) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.824
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:seperatableInd
Item: (CDAReferenceSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.825
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct
Item: (CDAExternalActSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="string(@classCode)=('ACT') or not(@classCode)">(CDAExternalActSDTC): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalActSDTC): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&lt;=1">(CDAExternalActSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalActSDTC): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.825
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct/hl7:id
Item: (CDAExternalActSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalActSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.825
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]
Item: (CDAExternalActSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]">
      <extends rule="CD.SDTC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalActSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAExternalActSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.825
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct/hl7:text
Item: (CDAExternalActSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalAct/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.825-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalActSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.826
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation
Item: (CDAExternalObservationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAExternalObservationSDTC): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalObservationSDTC): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&lt;=1">(CDAExternalObservationSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalObservationSDTC): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.826
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation/hl7:id
Item: (CDAExternalObservationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.826
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]
Item: (CDAExternalObservationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]">
      <extends rule="CD.SDTC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAExternalObservationSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.826
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation/hl7:text
Item: (CDAExternalObservationSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalObservation/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.826-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.827
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure
Item: (CDAExternalProcedureSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="string(@classCode)=('PROC') or not(@classCode)">(CDAExternalProcedureSDTC): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalProcedureSDTC): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&lt;=1">(CDAExternalProcedureSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalProcedureSDTC): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.827
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure/hl7:id
Item: (CDAExternalProcedureSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalProcedureSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.827
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]
Item: (CDAExternalProcedureSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]">
      <extends rule="CD.SDTC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalProcedureSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAExternalProcedureSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.827
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure/hl7:text
Item: (CDAExternalProcedureSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalProcedure/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.827-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalProcedureSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.828
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument
Item: (CDAExternalDocumentSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="string(@classCode)=('DOC') or not(@classCode)">(CDAExternalDocumentSDTC): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAExternalDocumentSDTC): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1' or @nullFlavor])&lt;=1">(CDAExternalDocumentSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.6.1' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAExternalDocumentSDTC): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="count(hl7:setId)&lt;=1">(CDAExternalDocumentSDTC): element hl7:setId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDAExternalDocumentSDTC): element hl7:versionNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.828
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:id
Item: (CDAExternalDocumentSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocumentSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.828
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:code[@codeSystem='2.16.840.1.113883.6.1' or @nullFlavor]
Item: (CDAExternalDocumentSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:code[@codeSystem='2.16.840.1.113883.6.1' or @nullFlavor]">
      <extends rule="CD.SDTC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocumentSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1')">(CDAExternalDocumentSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.828
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:text
Item: (CDAExternalDocumentSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocumentSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.828
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:setId
Item: (CDAExternalDocumentSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:setId">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocumentSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.828
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:versionNumber
Item: (CDAExternalDocumentSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:reference/hl7:externalDocument/hl7:versionNumber">
      <extends rule="INT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAExternalDocumentSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.828-2005-09-07T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(CDAExternalDocumentSDTC): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition
Item: (CDAObservationSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.829
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition
Item: (CDAPreconditionSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="string(@typeCode)=('PRCN') or not(@typeCode)">(CDAPreconditionSDTC): de waarde van @typeCode MOET 'PRCN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="count(hl7:criterion)&gt;=1">(CDAPreconditionSDTC): element hl7:criterion is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="count(hl7:criterion)&lt;=1">(CDAPreconditionSDTC): element hl7:criterion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.829
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition/hl7:criterion
Item: (CDAPreconditionSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition/hl7:criterion">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAPreconditionSDTC): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN.CRT') or not(@moodCode)">(CDAPreconditionSDTC): de waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&lt;=1">(CDAPreconditionSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAPreconditionSDTC): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="count(hl7:value)&lt;=1">(CDAPreconditionSDTC): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.829
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition/hl7:criterion/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]
Item: (CDAPreconditionSDTC)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition/hl7:criterion/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.829-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAPreconditionSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.829
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition/hl7:criterion/hl7:text
Item: (CDAPreconditionSDTC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.829
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:precondition/hl7:criterion/hl7:value
Item: (CDAPreconditionSDTC)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']"
         id="d18e3519-false-d39428e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="string(@typeCode)=('REFV')">(CDAObservationSDTC): de waarde van @typeCode MOET 'REFV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:observationRange)&gt;=1">(CDAObservationSDTC): element hl7:observationRange is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:observationRange)&lt;=1">(CDAObservationSDTC): element hl7:observationRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange"
         id="d18e3523-false-d39449e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAObservationSDTC): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN.CRT') or not(@moodCode)">(CDAObservationSDTC): de waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&lt;=1">(CDAObservationSDTC): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAObservationSDTC): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:value)&lt;=1">(CDAObservationSDTC): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="count(hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAObservationSDTC): element hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]"
         id="d18e3529-false-d39497e0">
      <extends rule="CD.SDTC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAObservationSDTC): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:text
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:text"
         id="d18e3534-false-d39514e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:value
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:value"
         id="d18e3536-false-d39525e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.803
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAObservationSDTC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/hl7:referenceRange[@typeCode='REFV']/hl7:observationRange/hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d18e3539-false-d39536e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservationSDTC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.803-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservationSDTC): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.901
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']
Item: (SDTCinFulfillmentOf1)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']"
         id="d39537e27-false-d39559e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="string(@typeCode)=('FLFS')">(SDTCinFulfillmentOf1): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(SDTCinFulfillmentOf1): attribuut @inversionInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(SDTCinFulfillmentOf1): attribuut @negationInd MOET datatype 'bl' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.901
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:templateId
Item: (SDTCinFulfillmentOf1)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:templateId"
         id="d39537e35-false-d39586e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SDTCinFulfillmentOf1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.901
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:actReference
Item: (SDTCinFulfillmentOf1)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:actReference"
         id="d39537e37-false-d39597e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="@classCode">(SDTCinFulfillmentOf1): attribute @classCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.11527-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(SDTCinFulfillmentOf1): de waarde van classCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.11527' ActClass (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="@moodCode">(SDTCinFulfillmentOf1): attribute @moodCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19458-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(SDTCinFulfillmentOf1): de waarde van moodCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.19458' x_DocumentActMood (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(SDTCinFulfillmentOf1): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="count(sdtc:id)&gt;=1">(SDTCinFulfillmentOf1): element sdtc:id is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.901
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:actReference/sdtc:templateId
Item: (SDTCinFulfillmentOf1)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:actReference/sdtc:templateId"
         id="d39537e55-false-d39655e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SDTCinFulfillmentOf1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.901
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:actReference/sdtc:id
Item: (SDTCinFulfillmentOf1)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.12.803']]/sdtc:inFulfillmentOf1[@typeCode='FLFS']/sdtc:actReference/sdtc:id"
         id="d39537e57-false-d39666e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.10.12.901-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SDTCinFulfillmentOf1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
